summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/network
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/network')
-rwxr-xr-xetc/rc.d/network4
1 files changed, 2 insertions, 2 deletions
diff --git a/etc/rc.d/network b/etc/rc.d/network
index 7fcb5b2..ce3336b 100755
--- a/etc/rc.d/network
+++ b/etc/rc.d/network
@@ -26,13 +26,13 @@ network_start()
fi
if [ -n "$hostname" ]; then
echo "Hostname: $hostname"
- hostname $hostname
+ /bin/hostname $hostname
else
# Don't warn about it if we're going to run
# DHCP later, as we will probably get the
# hostname at that time.
#
- if ! checkyesno dhclient && [ -z "`hostname`" ]; then
+ if ! checkyesno dhclient && [ -z "`/bin/hostname`" ]; then
warn "\$hostname not set."
fi
fi
OpenPOWER on IntegriCloud